CONTENT_HOST = "pidsdc01.telecom.pt"
CONTENT_ORIGIN = "https://pidsdc01.telecom.pt"
SECRET_KEY = "aNdjapHyq7NeFRVja8uZZmMe8X2iLZybuGQJL5vaixWJjV5FpW"
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql',
        'NAME': 'pulpcore',
        'USER': 'pulp',
        'PASSWORD+FILTERED+ 'admin',
        'HOST': 'pidsdc02.telecom.pt',
        'PORT': '5432',
    },
}
REDIS_HOST = "localhost"
REDIS_PORT = "6379"
REDIS_DB = 8

USE_NEW_WORKER_TYPE = True

MEDIA_ROOT = "/var/lib/pulp/media"
STATIC_ROOT = "/var/lib/pulp/assets"
STATIC_URL = "/pulp/assets/"
FILE_UPLOAD_TEMP_DIR = "/var/lib/pulp/tmp"
WORKING_DIRECTORY = "/var/lib/pulp/tmp"

REMOTE_USER_ENVIRON_NAME = 'HTTP_REMOTE_USER'
AUTHENTICATION_BACKENDS = ['pulpcore.app.authentication.PulpNoCreateRemoteUserBackend']

REST_FRAMEWORK__DEFAULT_AUTHENTICATION_CLASSES = (
    'rest_framework.authentication.SessionAuthentication',
    'pulpcore.app.authentication.PulpRemoteUserAuthentication'
)

ALLOWED_IMPORT_PATHS = ["/var/lib/pulp/sync_imports", "/var/lib/pulp/imports"]
ALLOWED_EXPORT_PATHS = ["/var/lib/pulp/exports"]
ALLOWED_CONTENT_CHECKSUMS = ["sha1", "sha224", "sha256", "sha384", "sha512"]

# Derive HTTP/HTTPS via the X-Forwarded-Proto header set by Apache
SECURE_PROXY_SSL_HEADER = ('HTTP_X_FORWARDED_PROTO', 'https')

CACHE_ENABLED = False

LOGGING = {
    "dynaconf_merge": True,
    "loggers": {
        '': {
            'handlers': ['console'],
            'level': 'INFO',
        }
    }
}

# ansible plugin settings
ANSIBLE_API_HOSTNAME = "pidsdc01.telecom.pt"
ANSIBLE_CONTENT_HOSTNAME = "https://pidsdc01.telecom.pt/pulp/content"

# container plugin settings
TOKEN_AUTH_DISABLED=True
